function [ rs, ts, rp, tp  ,RP,RS,cosF,cosFf,iV0s,iV0p] = Fresnel( n0, n, nf, d, radian, lambda)
% vraci Fresnelovy koeficienty soustavy tenkych vrstev

% n0...index lomu prostredi, ze ktereho svetlo dopada na soustavu
% n...vektor indexu lomu vrstev v poradi, ve kt. jsou prochazeny paprskem
%     dopadajicim paprskem
% nf...index lomu prostredi, ktere se nachazi za soustavou
% d...vektor tloustek vrstev v poradi ekvivalentnim s nf
% radian...uhel na vstupu do soustavy (od kolmice) v radianech
% lambda...vlnova delka svetla v nm

format long;

cosFf=sqrt(1-(n0/nf*sin(radian)).^2); % cosinus vystupniho uhlu
cosF=sqrt(1-(n0./n*sin(radian)).^2); % cosiny v jednotlivych vrstvach
AF=acos(cosF);
AFS=AF*180/pi;
V0s=Vs(n0,cos(radian)); V0p=Vp(n0,cos(radian));
Vfs=Vs(nf,cosFf); Vfp=Vp(nf,cosFf);             % matice V pro vstupni a vystupni paprsek

arg=1i.*2.*pi./lambda.*n.*d.*cosF; % argument hyperbolickych fci
RS=eye(2); RP=eye(2); 
for j=1:length(n)
    RS=RS * Rs(n(j), cosF(j), arg(j));
    RP=RP * Rp(n(j), cosF(j), arg(j));
end;                                   % hotove matice R
iV0s=inv(V0s);
iV0p=inv(V0p);
Es=inv(V0s)*RS*Vfs*[1;0]; Ep=inv(V0p)*RP*Vfp*[1;0]; % rekonstruovana puvodni a odrazena [Ei; Er]'

rs=Es(2)/Es(1); ts=1/Es(1);
rp=Ep(2)/Ep(1); tp=1/Ep(1);     % Fresnelovy koeficienty

