%PKPA
function [Rss,Rpp,Rps,psi,delta]=PKPA(nh,n,nf,d,rad1,lambda   )
%nazev: Plasmon, Kretschmann,Prism, Angle (zavislost na uhlu dopadu)

% nh / index lomu hranolu
% n / vektor index lomu
% nf / index lomu prosted za soustavou
% radian / hel dopadu v rad.
% lambda...vlnova delka svetla v nm
% rad1 / uhel dopadu na hranol

rad1c=asin(sin(rad1-pi/3)/nh);
rad2=pi/3+rad1c;
rad3=rad1c;

[ rs1, ts1, rp1, tp1 ] = Fresnel( 1, 1, nh, 0, rad1, lambda );
[ rs2, ts2, rp2, tp2 ] = Fresnel( nh, n, nf, d, rad2, lambda );
[ rs3, ts3, rp3, tp3 ] = Fresnel( nh, nh, 1, 0, rad3, lambda );

rss=ts1.*rs2.*ts3;
rpp=tp1.*rp2.*tp3;
Rss=rss.*conj(rss);
Rpp=rpp.*conj(rpp);
Rps=Rpp./Rss;
psi=atan(abs(rpp)./abs(rss));
delta=angle(rpp)-angle(rss);